npm command-line interface

# npm-docs

Open documentation for a package in a web browser

## Table of contents

- Synopsis
- Description
- Configuration

- `browser`
- `registry`
- `workspace`
- `workspaces`

- See Also

### Synopsis

    npm docs [<pkgname> [<pkgname> ...]]

    aliases: home

### Description

This command tries to guess at the likely location of a package’s documentation URL, and then tries to open it using the `--browser` config param. You can pass multiple package names at once. If no package name is provided, it will search for a `package.json` in the current folder and use the `name` property.

### Configuration

#### `browser`

- Default: OS X: `"open"`, Windows: `"start"`, Others: `"xdg-open"`
- Type: null, Boolean, or String

The browser that is called by npm commands to open websites.

Set to `false` to suppress browser behavior and instead print urls to terminal.

Set to `true` to use default system URL opener.

#### `registry`

- Default: “https://registry.npmjs.org/”
- Type: URL

The base URL of the npm registry.

#### `workspace`

- Default:
- Type: String (can be set multiple times)

Enable running a command in the context of the configured workspaces of the current project while filtering by running only the workspaces defined by this configuration option.

Valid values for the `workspace` config are either:

- Workspace names
- Path to a workspace directory
- Path to a parent workspace directory (will result to selecting all of the nested workspaces)

When set for the `npm init` command, this may be set to the folder of a workspace which does not yet exist, to create the folder and set it up as a brand new workspace within the project.

This value is not exported to the environment for child processes.

#### `workspaces`

- Default: false
- Type: Boolean

Enable running a command in the context of all the configured workspaces.

This value is not exported to the environment for child processes.

### See Also

- npm view
- npm publish
- npm registry
- npm config
- npmrc
- package.json